Subject: CCL:FORTRAN 90 -summary turmetho

From: Mikhail Kuzminsky -135-6388 <[email-masked]> (095)
Date: Fri, 03 Feb 95 20:53 MSK

Dear CCLers,
I received a lot of answers about possible sources of information
about FORTRAN 90. Thanks for all who helps me.
   The summary follows (I excluded only one letter on russian :-) ) :

1)
> The Fortran 90 standard is a very long document. I doubt that you
> will find it on the net, or even in journal articles. The official
> standard is certainly available from ANSI, but probably
> expensive. There are, however, many books available that describe
> the standard in a more readable form. Unless you want to write
> a compiler, this is probably the best source for information.
>
> ------------------------------------------------------------------------------
> Konrad Hinsen                     | E-Mail: [email-masked]
> Departement de Chimie             | Tel.: +1-514-343-6111 ext. 3953
> Universite de Montreal            | Fax:  +1-514-343-7586
> C.P. 6128, succ. A                | Deutsch/Esperanto/English/Nederlands/
> Montreal (QC) H3C 3J7             | Francais (phase experimentale)
> ------------------------------------------------------------------------------
2)
> There's an excellent book from the "nutshell"-series:
>
>       James F. Kerrigan
>       Migrating to Fortran90
>       O'Reilly & Associates, Inc.
>       1993
>       ISBN: 1-56592-049-X
>
> This book is written for the experienced Fortran77-programer, who
> wants to change to Fortran90. Especially the NEW things (pointers,
> modules and stuff like that) are covered. The appendix contains
> information about commercially available f90 Compilers, f77-Compilers
> with f90-extensions and fundamental f90 publications.
> Michael E. Beck
> Institut fuer Physikalische Chemie II
> Universitaet zu Koeln
> Germany
> [email-masked]

3)
> A FAQ that I converted to HTML:
> 	http://lenti.med.umn.edu/~mwd/f90-faq.html
>
> Fortran 90 Tutorial:
> 	http://asis01.cern.ch/CN/CNTUT/f90/Overview.html
>
> General Languages index:
>
>  http://info.cern.ch/hypertext/DataSources/bySubject/Computing/Languages.html
> Mark Dalton       CH3-S-CH2 H                      H      O       H
> Cray Research,Inc.      |   |                      |       \      |
> Los Alamos,NM 87544     CH2-C-COO    //\ ---C--CH2-C-COO    C-CH2-C-COO
> [email-masked]                |       |  ||   ||     |       //     |
>                             NH3      \\/ \ / CH    NH3    O       NH3
>                                           NH
> URL = http://lenti.med.umn.edu/~mwd/mwd.html
>
4)
> This is a good web site for Fortran info:
>
>     http://www.fortran.com/fortran/market.html
>
> =============================================================================
> Ed Millard                       |  18201 Von Karman Avenue
> Silicon Graphics Inc.            |  Suite 100
> Developer's Support Group        |  Irvine, CA 92715
> [email-masked]                  |  (714) 756-5975
> =============================================================================

5)
> Try WWW-site     http://asis01.cern.ch/CN/CNTUT/f90/Overview.html
> There you can find a detailed tutorial, written by Michael Metcalf,
> CN Division, CERN, CH 1211, Geneva 23, Switzerland.
> =============================================================================
> Dr. Alexander V. Soudackov          Tel:    (0511) 762-5277
> Theoretische Chemie                 E-mail: [email-masked]
> Uni Hannover
> Am Kleinen Felde 30
> 30167 Hannover
> Deutschland
6)
> You may find useful pointers, though, at:
>       http://www.fortran.com/fortran/market.html
> Ross Dickson,  [email-masked]
> Dept. of Chemistry, The University of Calgary
> Calgary, Alberta, Canada

7)
> ...
> http://www.fortran.com/fortran/market.html
>
> although I haven't looked at it myself. Can I also
> recommend the UK mailbase comp-fortran-90.
> Send a message
>
> join comp-fortran-90 Mikhail Kuzminsky
>
> to [email-masked] (no Subj. needed) in order
> to join. The guys there can certainly help you more.
> ***************** Dr. Martyn Winn **************************************
>  \                                                                    /
>   \ Institut fuer Theoretische Physik, Technische Universitaet Wien, /
>    \  Wiedner Hauptstrasse 8-10, A-1040 Wien, Austria.              /
>     \____                                                       ___/
>          \      Tel: +43 1 58801 5678                          /
>           \     Fax: +43 1 5867760                            /
>            \    E-mail: [email-masked]              /
>             \   URL: http://tph.tuwien.ac.at/~winn/me.html  /
>              -----------------------------------------------

8)
> From: [email-masked](Andrepeter Heiner)
> try to get hold of Scientific Computing, Iss. 5, Jan. 1995. There is a very
> nice article on fortran 90. If you can't trace it down, just give me your
> fax ##, so I'll fax you a copy. If this is problematic, I'll send you a copy b
> snail mail. The article also lists a number of sites where
> to get info relating to F90,
>    http://www.fortran.com/fortran.market.html,
>    http://www.nag.co.uk:70
>
> anon. ftp:
>    jkr.cc.rl.ac.uk, /pub/MandR/convert.f90
>    titan.cs.rice.edu, /public/HPFF/draft, /public/HPFF
9)
> Try ftp titan.cs.rice.edu
>   directory /public/HPFF
> Search it's subdirectories.  The draft subdirectory may contain
> useful information (for example, hpf-v11.ps(.Z)).
>
> If you wish I can e-mail you a plain text (about 6000 lines) article
> titled "Fortran 90 for the Fortran 77 programmer".
>
> Moshe Olshansky
> <[email-masked]>

10)
> A tutorial to Fortran 90 is online available:
>
> WWW:     http://rchs1.chemie.uni-regensburg.de/gopher/pub/Tutorial.fortran90
>
> gopher:  gopher rchs1.chemie.uni-regensburg.de
>              5. Data Files                              # the numbers
>                 22. Tutorial.fortran90                  # might be different i
>                                                         # the future
> ftp:     ftp rchs1.chemie.uni-regensburg.de
>          Name .... : anonymous
>          Password: < your_email_address
>          cd pub
>          get Tutorial.fortran90
> --------------------------------------------------------------
> Dr. Herbert H. H. Homeier
> Institut fuer Physikalische und Theoretische Chemie
> Universitaet Regensburg
> D-93040 Regensburg, Germany
> Phone: +49-941-943 4720                FAX  : +49-941-943 2305
> email: [email-masked]
> <A HREF="http://rchs1.uni-regensburg.de/%7Ec5008/">HOMEPAGE</A>
> ---------------------------------------------------------------

Dr. M. Kuzminsky,
N.D.Zelinsky Institute of Organic Chemistry
 e-mail: [email-masked]